ChangeSet 1.1608.24.27, 2004/03/01 13:30:26-08:00, ahaas@airmail.net

[PATCH] USB: C99 initializers for drivers/usb/serial/keyspan.h

Here's a small patch changing the GNU-style initializers to C99
initializers. The patch is against the current BK.


 drivers/usb/serial/keyspan.h |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)


diff -Nru a/drivers/usb/serial/keyspan.h b/drivers/usb/serial/keyspan.h
--- a/drivers/usb/serial/keyspan.h	Tue Mar 16 15:05:16 2004
+++ b/drivers/usb/serial/keyspan.h	Tue Mar 16 15:05:16 2004
@@ -359,19 +359,19 @@
 };
 
 static const struct keyspan_device_details usa19hs_device_details = {
-	product_id:		keyspan_usa19hs_product_id,
-	msg_format:		msg_usa90,
-	num_ports:		1,
-	indat_endp_flip:	0,
-	outdat_endp_flip:	0,
-	indat_endpoints:	{0x81},
-	outdat_endpoints:	{0x01},
-	inack_endpoints:	{-1},
-	outcont_endpoints:	{0x02},
-	instat_endpoint:	0x82,
-	glocont_endpoint:	-1,
-	calculate_baud_rate:	keyspan_usa19hs_calc_baud,
-	baudclk:		KEYSPAN_USA19HS_BAUDCLK,
+	.product_id		= keyspan_usa19hs_product_id,
+	.msg_format		= msg_usa90,
+	.num_ports		= 1,
+	.indat_endp_flip	= 0,
+	.outdat_endp_flip	= 0,
+	.indat_endpoints	= {0x81},
+	.outdat_endpoints	= {0x01},
+	.inack_endpoints	= {-1},
+	.outcont_endpoints	= {0x02},
+	.instat_endpoint	= 0x82,
+	.glocont_endpoint	= -1,
+	.calculate_baud_rate	= keyspan_usa19hs_calc_baud,
+	.baudclk		= KEYSPAN_USA19HS_BAUDCLK,
 };
 
 static const struct keyspan_device_details usa28_device_details = {
